ServiceTree.LeafType (GWT Maven Archetype 1.5.0-3.1.1 API)
Date: 2014-06-03

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Enum ServiceTree.LeafType

- java.lang.Object
- - java.lang.Enum<ServiceTree.LeafType>
  - - org.gcube.messaging.accounting.nodeaccountingportlet.client.ServiceTree.LeafType

- All Implemented Interfaces:
    Serializable, Comparable<ServiceTree.LeafType>
  Enclosing class:
    ServiceTree

      public static enum ServiceTree.LeafType
      extends Enum<ServiceTree.LeafType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ServiceTree.LeafType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServiceTree.LeafType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS

          public static final ServiceTree.LeafType CLASS

    - #### NAME

          public static final ServiceTree.LeafType NAME

  - ### Method Detail

    - #### values

          public static ServiceTree.LeafType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceTree.LeafType c : ServiceTree.LeafType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceTree.LeafType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ServiceTree.LeafType>`

Copyright © 2014. All Rights Reserved.